Scriptname ExampleSkeeverAroundStone extends ObjectReference  

Actor Property skeever  Auto  
ObjectReference Property destination  Auto  
int angle = 0
Event OnCellLoad()
	RegisterForSingleUpdate(1)
endEvent

Event OnUpdate()
	float distance = skeever.GetDistance(destination)
	Debug.Trace("angle: " + angle + " - dest: (" + destination.x + "," + destination.y + "," + destination.z + ") - distance: " + distance)
	Debug.Notification("angle: " + angle + " - dest: (" + destination.x + "," + destination.y + "," + destination.z + ") - distance: " + distance)
	if (distance < 64)
		angle = angle + 45
		destination.SetPosition(x + 256 * Math.cos(angle), y + 256 * Math.sin(angle), z)
	endIf
	skeever.PathToReference(destination, 0.5)

	RegisterForSingleUpdate(1)
endEvent